curl --request GET \
--url https://api.qovery.com/scaleway/instanceType/{zone} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"type": "T3A_XLARGE",
"name": "t3a.xlarge",
"cpu": 2,
"ram_in_gb": 8,
"bandwidth_in_gbps": "5.2",
"bandwidth_guarantee": "UpTo",
"architecture": "ARM64",
"gpu_info": {
"count": 123,
"name": "<string>",
"manufacturer": "<string>",
"memory_in_mib": "<string>"
},
"attributes": {
"instance_category": "<string>",
"instance_generation": 123,
"instance_family": "<string>",
"instance_size": "<string>",
"meets_resource_reqs": true
}
}
]
}curl --request GET \
--url https://api.qovery.com/scaleway/instanceType/{zone} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"type": "T3A_XLARGE",
"name": "t3a.xlarge",
"cpu": 2,
"ram_in_gb": 8,
"bandwidth_in_gbps": "5.2",
"bandwidth_guarantee": "UpTo",
"architecture": "ARM64",
"gpu_info": {
"count": 123,
"name": "<string>",
"manufacturer": "<string>",
"memory_in_mib": "<string>"
},
"attributes": {
"instance_category": "<string>",
"instance_generation": 123,
"instance_family": "<string>",
"instance_size": "<string>",
"meets_resource_reqs": true
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
zone name
"fr-par-1"
list the instance types available for Scaleway Kapsule by region
Show child attributes
Was this page helpful?